1. Download our Official Android App: Forums for Android!

Is Android Studio backward compatible?

Discussion in 'Android Development' started by morsan, Sep 30, 2017.

  1. morsan

    morsan Lurker
    Thread Starter
    Rank:
    None
    Points:
    5
    Posts:
    2
    Joined:
    Sep 30, 2017

    Sep 30, 2017
    2
    0
    5
    Just starting learning Android Studio and this is my first post!

    I have installed both AS v2.3.3 and 3.0 beta 6. I am taking a course from lynda.com that uses samples made in AS v2.2.2 and when importing the sample code I get a lot errors.

    Is the code not backwards compatible, or do I have to install v2.2.2 to follow along the samples?
     

    Advertisement

  2. LV426

    LV426 I say we take off and nuke this place from orbit
    Moderator
    Rank:
     #11
    Points:
    1,988
    Posts:
    7,871
    Joined:
    Oct 16, 2015

    Oct 16, 2015
    7,871
    11,504
    1,988
    Male
    Software developer
    South West of England
    Hi and welcome to Android Forums.
    I moved your post over to the Android Development forum.

    There should be no problem importing your project to a newer version of Android Studio. As long as all the required SDK versions are present, then the project should build ok.
    What sort of errors are you seeing?
     
  3. morsan

    morsan Lurker
    Thread Starter
    Rank:
    None
    Points:
    5
    Posts:
    2
    Joined:
    Sep 30, 2017

    Sep 30, 2017
    2
    0
    5
    Please check the screenshot from AS 2.3.3. I notice there are references to AS 3.0 in both the gradle sync messages and the event log. I do not understand why that occur? If I start a new project from scratch I get no errors.
    upload_2017-10-1_16-5-29.png

    Please find attached the sample project (it has two states: start and finish). I opened the project like this:
    upload_2017-10-1_16-15-0.png
     

    Attached Files:

Share This Page

Loading...